--- old/usr/src/uts/common/io/ntxn/unm_gem.c	2014-10-23 10:42:15.473729176 -0400
+++ new/usr/src/uts/common/io/ntxn/unm_gem.c	2014-10-23 10:42:15.478763125 -0400
@@ -725,8 +725,7 @@
 
 	tx_desc = ddi_prop_get_int(DDI_DEV_T_ANY, dip, DDI_PROP_DONTPASS,
 	    txringsize_propname, MAX_CMD_DESCRIPTORS_HOST);
-	if (tx_desc >= 256 && tx_desc <= MAX_CMD_DESCRIPTORS &&
-	    !(tx_desc & (tx_desc - 1))) {
+	if (tx_desc >= 256 && tx_desc <= MAX_CMD_DESCRIPTORS && ISP2(tx_desc)) {
 		adapter->MaxTxDescCount = tx_desc;
 	} else {
 		cmn_err(CE_WARN, "%s%d: TxRingSize defaulting to %d, since "
@@ -739,8 +738,7 @@
 	rx_desc = ddi_prop_get_int(DDI_DEV_T_ANY, dip, DDI_PROP_DONTPASS,
 	    rxringsize_propname, maxrx);
 	if (rx_desc >= NX_MIN_DRIVER_RDS_SIZE &&
-	    rx_desc <= NX_MAX_SUPPORTED_RDS_SIZE &&
-	    !(rx_desc & (rx_desc - 1))) {
+	    rx_desc <= NX_MAX_SUPPORTED_RDS_SIZE && ISP2(rx_desc)) {
 		adapter->MaxRxDescCount = rx_desc;
 	} else {
 		cmn_err(CE_WARN, "%s%d: RxRingSize defaulting to %d, since "
@@ -753,8 +751,7 @@
 	rx_jdesc = ddi_prop_get_int(DDI_DEV_T_ANY, dip, DDI_PROP_DONTPASS,
 	    jumborxringsize_propname, MAX_JUMBO_RCV_DESCRIPTORS);
 	if (rx_jdesc >= NX_MIN_DRIVER_RDS_SIZE &&
-	    rx_jdesc <= NX_MAX_SUPPORTED_JUMBO_RDS_SIZE &&
-	    !(rx_jdesc & (rx_jdesc - 1))) {
+	    rx_jdesc <= NX_MAX_SUPPORTED_JUMBO_RDS_SIZE && ISP2(rx_jdesc)) {
 		adapter->MaxJumboRxDescCount = rx_jdesc;
 	} else {
 		cmn_err(CE_WARN, "%s%d: JumboRingSize defaulting to %d, since "
